Search users
curl --request GET \
--url https://api.konbiniapi.com/v1/tiktok/search/users \
--header 'Authorization: Bearer <token>'{
"data": {
"@context": [
"https://www.w3.org/ns/activitystreams#",
"https://konbiniapi.com/ns/social#"
],
"type": "OrderedCollectionPage",
"partOf": "https://api.konbiniapi.com/v1/tiktok/search/users",
"totalItems": 1309,
"cursor": "0",
"nextCursor": "1772217402000",
"next": "https://api.konbiniapi.com/v1/tiktok/search/users?query=khaby&cursor=1772217402000&count=30",
"itemCount": 30,
"orderedItems": [
{
"type": "Person",
"id": "https://www.tiktok.com/@khaby.lame",
"url": "https://www.tiktok.com/@khaby.lame",
"isPrivate": false,
"isVerified": true,
"entityId": "MS4wLjABAAAAwAg0rSzO65WQfz4RzQgGv2Xdv108BgPXhRrrmNVIHQZ9PO8-flwwRtEppYTS0OjA",
"name": "Khabane Lame",
"preferredUsername": "khaby.lame",
"summary": "Just a guy who reacts",
"attachment": [
{
"type": "Link",
"href": "https://linktr.ee/khaby.lame",
"rel": "preferred"
}
],
"published": "2020-03-15T00:00:00.000Z",
"isLive": false,
"hasLikes": true,
"hasPlaylists": true,
"followerCount": 160300000,
"followingCount": 85,
"language": "en",
"likeCount": 2600000000,
"likedCount": 5300,
"mediaCount": 1309,
"icon": {
"type": "Image",
"url": "https://p16-sign.tiktokcdn-us.com/tos-maliva-avt-0068/avatar.jpeg",
"width": 576,
"height": 1024
},
"image": [
{
"type": "Image",
"url": "https://p16-sign.tiktokcdn-us.com/tos-maliva-avt-0068/avatar.jpeg",
"width": 576,
"height": 1024
}
]
}
]
}
}Search
Search users
Searches TikTok for user profiles matching a query. Fixed page size of 10 (platform limit). Returns profile details including follower counts and verification status.
GET
/
v1
/
tiktok
/
search
/
users
Search users
curl --request GET \
--url https://api.konbiniapi.com/v1/tiktok/search/users \
--header 'Authorization: Bearer <token>'{
"data": {
"@context": [
"https://www.w3.org/ns/activitystreams#",
"https://konbiniapi.com/ns/social#"
],
"type": "OrderedCollectionPage",
"partOf": "https://api.konbiniapi.com/v1/tiktok/search/users",
"totalItems": 1309,
"cursor": "0",
"nextCursor": "1772217402000",
"next": "https://api.konbiniapi.com/v1/tiktok/search/users?query=khaby&cursor=1772217402000&count=30",
"itemCount": 30,
"orderedItems": [
{
"type": "Person",
"id": "https://www.tiktok.com/@khaby.lame",
"url": "https://www.tiktok.com/@khaby.lame",
"isPrivate": false,
"isVerified": true,
"entityId": "MS4wLjABAAAAwAg0rSzO65WQfz4RzQgGv2Xdv108BgPXhRrrmNVIHQZ9PO8-flwwRtEppYTS0OjA",
"name": "Khabane Lame",
"preferredUsername": "khaby.lame",
"summary": "Just a guy who reacts",
"attachment": [
{
"type": "Link",
"href": "https://linktr.ee/khaby.lame",
"rel": "preferred"
}
],
"published": "2020-03-15T00:00:00.000Z",
"isLive": false,
"hasLikes": true,
"hasPlaylists": true,
"followerCount": 160300000,
"followingCount": 85,
"language": "en",
"likeCount": 2600000000,
"likedCount": 5300,
"mediaCount": 1309,
"icon": {
"type": "Image",
"url": "https://p16-sign.tiktokcdn-us.com/tos-maliva-avt-0068/avatar.jpeg",
"width": 576,
"height": 1024
},
"image": [
{
"type": "Image",
"url": "https://p16-sign.tiktokcdn-us.com/tos-maliva-avt-0068/avatar.jpeg",
"width": 576,
"height": 1024
}
]
}
]
}
}Authorizations
Send your API key in the Authorization header as a Bearer token.
Example: Authorization: Bearer <your-api-key>
Query Parameters
Search query
Minimum string length:
1Example:
"khaby.lame"
Page size (fixed at 10 by the platform)
Required range:
10 <= x <= 10Example:
10
Pagination cursor
Example:
"0"
Response
Returns the search results
Show child attributes
Show child attributes
⌘I